%global module_name drat

Name:           python-%{module_name}
Version:        0.4.2
Release:        1%{?dist}
Summary:        A reading text analysis tool

License:        GPLv3+
URL:            https://github.com/riverrun/drat
Source0:        https://pypi.python.org/packages/source/d/%{module_name}/%{module_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-requests
BuildRequires:  python-click
BuildRequires:  python-setuptools
Requires:       drat-tools

%package -n %{module_name}-tools
Summary:        A reading text analysis tool
License:        GPLv3+

%description
Drat is a tool that analyzes reading texts and produces a brief report which
gives a readability score (according to the Dale-Chall readability formula)
and the number of uncommon words (based on the General Service List) in the
text. It also lists all of these uncommon words (if you choose the verbose
option).

%description -n %{module_name}-tools
drat tool.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf *.egg-info


%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot}

%check
%{__python} setup.py test

%files -n %{module_name}-tools
%doc README.rst
%{_bindir}/*

%files -n python-%{module_name}
%doc README.rst
%{python_sitelib}/%{module_name}/
%{python_sitelib}/%{module_name}-%{version}-py2.6.egg-info

%changelog
* Sun Oct 19 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.2-1
- Update to 0.4.2 release

* Sun Sep 28 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.1-1
- Update to 0.4.1 release

* Mon Sep 22 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.0-1
- Initial packaging

